Lohit Punjabi font problems
OpenPublic

Description

Author: zariekaur

Description:
A screenshot of the article about the year 1999 in the Punjabi wikipedia, the overlaping digits are clearly visable and the crooked letters are also shown.

The Lohit Punjabi font is the default font on the Gurmukhi Punjabi Wikipedia and it had many problems and bugs that make it difficult for readers. The Gurmukhi digit 9 (੯) always seems to overlap with the letter/number next to it. The font also does not join the letters properly making it look crooked and untidy.


Version: unspecified
Severity: normal
OS: Windows 7
Platform: PC
See Also:
https://bugzilla.redhat.com/show_bug.cgi?id=875429

Attached:

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz40473.
bzimport created this task.Via LegacySep 24 2012, 10:22 AM
santhosh added a comment.Via ConduitSep 24 2012, 9:59 PM

Could you please give Operating system, browser and their versions?

bzimport added a comment.Via ConduitSep 24 2012, 11:18 PM

zariekaur wrote:

(In reply to comment #1)

Could you please give Operating system, browser and their versions?

I have accessed the wiki using many different operating systems and browsers, but the problem still persists, even all the editors report problems with the font.

Logicwiki added a comment.Via ConduitSep 25 2012, 3:54 AM

I remember reading about a similar issue on village pump. This is a problem with font spacing similar to that of Lohit-Telugu.

bzimport added a comment.Via ConduitSep 26 2012, 2:50 PM

zariekaur wrote:

This is a major problem and a barrier to the readers of the Punjabi Wikipedia and needs to be solved ASAP.

santhosh added a comment.Via ConduitSep 26 2012, 10:28 PM

(In reply to comment #3)

I remember reading about a similar issue on village pump. This is a problem
with font spacing similar to that of Lohit-Telugu.

Can you give more details with links/screenshots? I am not able to reproduce this. 1999 comes correctly for me.

Logicwiki added a comment.Via ConduitSep 27 2012, 12:16 PM

http://crossbrowsertesting.com/users/34057/snapshot/z91e1ba96dadcae9ff6a/public

1999 comes as 19 till Windows. Also the horizontal line on the character gets
split in Lohit Punjabi. It is probably safe to say Lohit Punjabi is unusable in
Windows environments. I would suggest switching the default to Saab which
worked on few Windows combinations I tried.

bzimport added a comment.Via ConduitSep 28 2012, 3:45 PM

zariekaur wrote:

(In reply to comment #6)

http://crossbrowsertesting.com/users/34057/snapshot/z91e1ba96dadcae9ff6a/public

1999 comes as 19 till Windows. Also the horizontal line on the character gets
split in Lohit Punjabi. It is probably safe to say Lohit Punjabi is unusable in
Windows environments. I would suggest switching the default to Saab which
worked on few Windows combinations I tried.

It would be be good if Lohit was fixed, but changing to Saab is a good idea, how can one change the default font of the wiki to Saab?

Logicwiki added a comment.Via ConduitOct 9 2012, 2:34 AM

Can you please get a community consensus on the change of default font to Saab and update us here?

bzimport added a comment.Via ConduitOct 28 2012, 8:47 AM

zariekaur wrote:

Saab font has a problem with ਖ਼, so the consensus has failed.

bzimport added a comment.Via ConduitOct 28 2012, 9:27 AM

zariekaur wrote:

A new consensus has been started for the Raavi (Reset) font to be set as default. Reporting soon!

bzimport added a comment.Via ConduitOct 29 2012, 8:20 AM

apreet.alam wrote:

(In reply to comment #9)

Saab font has a problem with ਖ਼, so the consensus has failed.

Saab font is not following latest unicode standard 6.2, but only 4.1.

bzimport added a comment.Via ConduitOct 29 2012, 8:22 AM

apreet.alam wrote:

Can we not disable webfonts (by default) for Windows as Gurmukhi is supported from Windows XP systems onwards and Raavi fonts are readable (at least) while compare to Lohit on Windows?

Aklapper added a comment.Via ConduitOct 29 2012, 8:39 AM

(In reply to comment #10)

A new consensus has been started for the Raavi (Reset) font

Could you please provide a link to that discussion?

bzimport added a comment.Via ConduitOct 29 2012, 8:58 AM

apreet.alam wrote:

(In reply to comment #13)

(In reply to comment #10)
> A new consensus has been started for the Raavi (Reset) font

Could you please provide a link to that discussion?

http://pa.wikipedia.org/wiki/WP:COM#Raavi_.28Reset.29_font

bzimport added a comment.Via ConduitOct 30 2012, 8:02 PM

zariekaur wrote:

The consensus has been reached, please act accordingly to fix the font.

Aklapper added a comment.Via ConduitNov 1 2012, 11:33 AM

I wonder if this should really be under "Extensions/WebFonts" instead of "Wikimedia/Site Configuration". Not sure in case of webfonts.

bzimport added a comment.Via ConduitNov 2 2012, 1:46 PM

tari.violin wrote:

The consensus has been reached for this and also the only bug by me, bug:41350. Then, why there's a delay fixing the bugs?

bzimport added a comment.Via ConduitNov 2 2012, 1:55 PM

zariekaur wrote:

(In reply to comment #17)

The consensus has been reached for this and also the only bug by me, bug:41350.
Then, why there's a delay fixing the bugs?

There are people who oppose your bug, so there is a good reason to delay it, but nobody is against the fixing of this bug so I would suggest that it be fixed as soon as possible.

santhosh added a comment.Via ConduitNov 2 2012, 1:57 PM

The language engineering team at WMF is currently working on some other high priority tasks. And we are in travel for next 2 weeks in India for programs. So be informed that, there will be a delay in working on this unless some volunteers take this up.

bzimport added a comment.Via ConduitNov 2 2012, 2:03 PM

zariekaur wrote:

I do not see how it will take a lot of your time to simply change the default front to Raavi until you sort out the bugs with lohit and saab. A consensus has been reached so please I request that you act accordingly. This case was opened in September and it is November already!

Logicwiki added a comment.Via ConduitNov 11 2012, 5:53 AM

Apologies if our response was slow for you.

This bug was discussed with upstream maintainers and the problem has been identified and Lohit maintainers are working on the fix and we don't have an ETA as this bug is specific to Windows and Redhat maintains the font.

Since we dont have any bug free Punjabi font and setting the option to Raavi (reset) will not be any purpose as most people will tend to close the page if they see squares. We suggest disabling the extension untill we get bug free fonts for Punjabi. Let us know what the community thinks. Thanks

santhosh added a comment.Via ConduitMar 12 2013, 9:13 AM

Need a reevaluation since recently Firefox, chrome changed their rendering engines

Aklapper added a comment.Via ConduitMar 12 2013, 10:03 AM

(In reply to comment #22)

Need a reevaluation

-> adding "testme" keyword

Amire80 added a comment.Via ConduitJun 13 2013, 9:46 PM

Movint to ULS.

siebrand added a comment.Via ConduitJun 14 2013, 12:28 PM

Lowering priority because this issue has been inactive for months now.

Praveen_Illa added a subscriber: Praveen_Illa.Via WebJun 24 2015, 8:06 AM

Add Comment